.main{
  background-color: $grey;
  &-banner{
    padding-bottom:20px;
    img{
      max-width:100%;
      border-radius:12px;
      box-shadow:0 0 5px rgba(0, 0, 0, 0.08);
    }

    &.style-new{
      position: relative;
      padding-bottom: 0;
      overflow: hidden;

      img{
        width:100%;
      }

      .main{
        &-banner{
          &-content{
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            display: flex;
            align-items: flex-end;

            .badge{
              text-align: left;
              line-height: 1.4;
              white-space:normal;
            }

            @media (max-width: 991px){
              position: static;
              margin-top:-60px;
            }

            &-wrapper{
              color: #fff;
              font-size: 20px;
              text-shadow: 2px 2px #00000075;
              padding-bottom: 20px;
              background: #000000a6;
              padding-top: 20px;
              width: 100%;

              .contact-info{
                a{
                  color:#007bff;
                  &:hover{
                    color:#007bff;
                    text-decoration: underline;
                  }
                }
              }

              @media (max-width: 991px){
                font-size:16px;
                margin:0 15px;
                border-radius:8px;
                background-color: #202020;
              }
            }

            .banner-title{
              font-size: 2em;
              text-transform: uppercase;
              font-weight: 700;
              color: #fff;
              text-shadow: 2px 2px rgb(0 0 0 / 31%);
              @media (max-width: 767px){
                font-size:18px;
              }
            }

            p{
              margin-bottom:6px;
            }
          }
        }
      }

      &.no-infobar{
        max-height: none;
        .main{
          &-banner{
            &-content{
              display: none;
            }
          }
        }
      }

      @media (max-width:767px){
        img{
          height:250px;
          object-fit: cover;
          border-radius: 0;
        }

        &.no-infobar{
          img{
            height:auto;
          }
        }
      }

      @media (min-width:992px){
        max-height: 450px;
      }
    }
  }
  &-wrapper{
    background-color: #fff;
    padding:20px 20px 20px 20px;
    position: relative;
    //max-width: 1150px;
    &.style-new{
      background-color: transparent;
    }

    .main{
      &-banner{
        img{
          max-height:180px;
        }
        &.alamine-convention-2023-b860c72f{
          img{
            height: auto;
            max-height: none;
          }
        }
        &-content{
          img{
            height:auto;
          }
        }

        @media (min-width:768px){
          img{
            max-height:450px;
          }
        }
      }
    }
  }

  &-body{

  }

  @media (min-width: 768px){
    &-wrapper{
      margin: 60px auto;
      border-radius:15px;
      padding:25px;
      &.style-new{
        padding:0;
        margin:30px auto;
      }
    }

  }
}


.form{
  &-body{

  }

  &-row{
    //border-radius: 15px;
    overflow: hidden;
    //margin-bottom:40px;
    //border:1px solid #ddd;
    display: block;

    .special-ticket-wrapper{
      display: none;
    }

    &.first-row{
      .special-ticket-wrapper{
        display: block;
      }
      .form-row-head-btn{
        display: none;
      }
      .btn-delete-ticket-js{
        display: none;
      }
    }

    &-head{
      border:1px solid #ddd;
      border-bottom:0;
      border-radius:15px 15px 0 0;
      margin-top:25px;
      background-color: #FBF8F8;

      &-inner{
        display: flex;
        border-bottom: 1px solid rgba(0, 0, 0, 0.4);
        padding: 15px;
        position: relative;
      }

      &-btn{
        position: absolute;
        top:0;
        left:0;
        right:0;
        text-align: right;
        padding-right:15px;
        padding-top:10px;
        bottom:0;
        z-index: 99;
        .btn{
          box-shadow:none;

          &-default{
            border:1px solid #ddd;
          }

          &-ticket-collapse{
            display: none;
          }

          &:not(:last-child){
            margin-right:15px;
          }
        }
      }

      .body-toggler{
        position: absolute;
        top:0;
        left:0;
        right:0;
        text-align: right;
        padding-right:15px;
        padding-top:10px;
        bottom:0;
        z-index: 99;
        cursor: pointer;
        .btn{
          box-shadow:none;
          background: #67737E;
        }
        &:hover{
          .btn{
            box-shadow:0 4px 4px 0 rgba(0, 0, 0, 0.25);
            background: #343a40;
          }
        }
      }
    }

    &-body{
      border:1px solid #ddd;
      border-top:0;
      border-radius:0 0 15px 15px;
      background-color: #FBF8F8;

      .section-title{
        span{
          background-color: #FBF8F8;
        }
      }
    }

    .row{
      margin-left:-7.5px;
      margin-right:-7.5px;
      [class*="col-"]{
        padding-left:7.5px;
        padding-right:7.5px;
      }
    }

    &-title{
      font-size:18px;
      line-height: 1.4;
      text-transform: uppercase;
      font-weight: 700;
      margin:0;

      @media (min-width:768px){
        font-size:22px;
      }
    }

    &-foot{
      padding:15px;
      border-top:1px solid #ddd;
      .btn{
        &-add-another-js{
          &.disabled{
            //pointer-events: all;
          }
        }
      }
    }

    &-ticket-individual{
      display: none;

      .form{
        &-row{
          &-head{
            &-inner{

            }
            &-btn{
              //display: none;
            }
          }
        }
      }

      &.active{
        display: block;
        .form{
          &-row{
            &-head{
              &-inner{

              }

              &-btn{
                .btn{
                  &-ticket-colapse{
                    .icon{
                      &-plus{

                      }
                    }
                  }
                }
              }
            }
          }
        }
      }

      &.edited{
        display: block;
        .form{
          &-row{
            &-head{
              &-inner{

              }

              &-btn{
                display: block;
                .btn{
                  &-ticket-collapse{
                    display: inline-flex;
                    .icon{
                      &-minus{
                        display:none;
                      }
                    }
                  }
                }
              }
            }

            &-body{
              display: none;
            }
          }
        }

        &.active{
          .form{
            &-row{
              &-head{
                &-inner{

                }

                &-btn{
                  display: block;
                  .btn{

                    &-ticket-collapse{
                      .icon{
                        &-plus{
                          display: none;
                        }
                        &-minus{
                          display: block;
                        }
                      }
                    }

                    .fa-plus{
                      &:before{
                        content:"\f068";
                      }
                    }
                  }
                }
              }

              &-body{
                display: block;
              }

              &-foot{
                display: none;
              }
            }
          }
        }
      }
    }

    &.edited{
      .form{
        &-row{
          &-head{
            border-radius:15px;
            border-bottom:1px solid #ddd;
            &-inner{
              border-bottom:0;
            }
          }
        }
      }

      &.active{
        .form{
          &-row{
            &-head{
              border-radius:15px 15px 0 0;
              border-bottom:0;
              &-inner{
                border-bottom:1px solid rgba(0, 0, 0, 0.4);
              }
            }
          }
        }
      }
    }

  }

  &-fields{
    &-wrapper{
      padding:15px 15px;

      @media (min-width:768px) {
        padding:15px 30px;
      }
    }
  }

  @media (min-width:768px){
    &-row{
      &-head{
        &-inner{
          padding:15px 30px;
        }

        &-body-toggler{
          .btn{
            padding-right:30px;
          }

        }
      }

      &-foot{
        padding:15px 30px;
      }
    }
  }
}

.main{
  &.style-2{
    .form{

      &-row{
        &.page-head{
          display: block;
          margin-bottom:15px;
          border:1px solid #ddd;
          border-radius: 15px;
        }

        &-head{
          display: none;
        }

        &-body{
          display: none;
        }

        &-booth{
          //display: block;
        }

        &.active{
          display: block;
          .form-row-head{
            display: block;
            border-radius:15px 15px 0 0;
          }
          .form-row-body{
            display: block;
          }

          .body-toggler{
            display: none;
          }
        }

        &.edited{
          .form-row-head{
            display: block;
            border-radius:15px;
            border:1px solid #ddd;
            .form-row-head-inner{
              border:0;
            }
          }
          &.active{
            .form-row-head{
              border-radius:15px 15px 0 0;
            }
          }
        }
      }

      &-fields{
        &-wrapper{
          &.booth-selected{
            .btn{
              display: none;
              &.selected{
                display: inline-block;
              }
              &-change{
                display: inline-block;
              }
            }

            .col-md-2{
              display: none;
              &.child-selected{
                display: block;
              }
            }
          }

          @media (min-width:768px) {

          }
        }
      }

    }
  }
}

.ad-type{
  display: none;
  margin-top: 15px;
  padding-top: 15px;
  border-top: 1px solid #ddd;
}
.bb-1{
  border-bottom:1px solid #ddd;
}
.js-timer-block{
  display: none;
}

.b-t-1{
  border-top:1px solid #ddd;
}

.ticket-type-details{
  display: none;
}

.lost-badge{
  .checkbox-holder{
    position: relative;
  }
  &-info{
    position: absolute;
    left: 36px;
    bottom: -10px;
  }
}

.font-medium{
  font-weight: 600;
}
.font-bold{
  font-weight: 700;
}

.child-care{
  &-wrapper{
    display: none;
    .table{
      background-color: #fff;
      border-radius:12px;
      tr{
        td{
          &:first-child{
            min-width: 230px;
            max-width:250px;
          }
        }
      }
    }
  }
}

.time-slot{
  border: 1px solid #8b8b8b;
  margin-bottom: 10px!important;
  border-radius: 15px;
  text-align: center;
  display: inline-block;
  padding: 0 10px;
  margin-right: 5px!important;
}

.border-dark{
  border-color:#202020;
}

.label-field-sidebyside{
  display: flex;
  align-items: center;
  label{
  }
  .form-control{
    margin-left:15px;
    width:auto;
    display: inline-block;
  }
}

.section-title{
  position: relative;
  //text-transform: uppercase;
  font-size: 20px;
  margin:0;
  padding:15px 0;
  font-weight: 600;
  text-align:left!important;

  span{
    position: relative;
    padding: 0 8px;
    z-index: 9;
    background: #fff;
    padding-left:0;
  }
  &:before{
    //content:'';
    position: absolute;
    left:0;
    right:0;
    height:3px;
    background-color: #202020;
    top:50%;
    transform:translateY(-50%);
  }

  @media (min-width:768px){
    font-size: 22px;
  }
}

.disabled-block{
  opacity: 0.4;
  pointer-events: none;
  filter: blur(2px);
}

.billing-information{
  &-wrapper{

    &.active{
      display: block;
    }

    .form{
      &-row{
        &-head{
          //background-color: $green_dark;
          color:#fff;
        }

        &-title{
          font-size: 20px;
          font-weight: 600;
          color: #000;
          line-height: 30px;
        }

        &-foot{
          .btn{
            .img-left{
              max-height: 32px;
            }
          }
        }
      }
    }


    .regular-checkbox + label{
      font-size:16px;
    }
    .regular-checkbox:checked + label:after{
      font-size: 13px;
    }
  }

}

.hidden-field{
  visibility: hidden;
  position: absolute;
  opacity: 0;
}

.payment-information{
  .form-control{
    &.invalid{
      border-color:#dc3545;
    }
    &.valid{
      border-color:#28a745;
    }
  }
}

.badge-fee-row{
  border:0;
  td,th{
    padding: 2px 0.7rem 2px 0.7rem;
    border-top: 0;
    font-size: 15px;
    background: #fff;
  }
}


.contact{
  &-information{
    &-inner{

    }
    &-grouped{
      display: none;
      &.active{
        display: block;
      }
      &-single{
        border-bottom:1px solid #ddd;
      }

      &-wrapper{
        .contact-information-grouped-single{
          &:last-child{
            border-bottom: 0;
          }
        }
        &:not(:first-child){
          border-bottom:1px solid #ddd;
        }

        margin-bottom:20px;
      }
    }
  }
}

.addon{
  &-ticket{
    &-details{
      position: relative;
      padding: 20px 20px 0 20px;
      border: 1px solid #ddd;
      border-radius: 12px;
      margin-top: 30px;
      background: #fff;
      &-head{
        position: absolute;
        top: -18px;
        right: 23px;
        background: #fff;
        padding: 6px 10px;
        border: 1px solid#ddd;
        border-radius: 6px;
      }
      .badge{
        margin-left:45px;
        font-size: 15px;
        padding: 6px 10px;
        font-weight: 500;
        //transition:0.3s all linear;
        cursor: pointer;
        &:hover{
          //transform:translateY(-2px);
          //transition:0.3s all linear;
          background-color: #C92334;
        }
      }
    }
  }
}


.event-single{
  .title{
    font-size: 20px;
  }
  p{
    font-size: 15px;
  }
}

.csrl-field{
  min-width: 60px;
  width: 75px;
  height: 45px!important;
}

@media (min-width: 1200px){
  .container{
    max-width:1180px;
  }
}

//==== MATRIMONIAL FORM
.alert{
  .checkbox{
    &-holder{
      z-index: 0;
    }
  }
  .form-group{
    padding-bottom:8px;
    position: relative;
    .error-message{
      bottom:0;
    }
  }
}

.field-invalid{
  .regular-checkbox{
    &+label{
      &:before{
        border-color:#dc3545;
      }
    }
  }

  .checkbox-group{
    .regular-checkbox{
      &+label{
        &:before{
          border-color:#202020;
        }
      }
    }
  }
}

.field-validated{
  .error-message{
    opacity: 0;
  }
}

.info{
  &-div{
    padding-bottom:10px;
    margin-bottom:10px;
    border-bottom:1px solid #ddd;
  }
  &-text{
    color: #dc3545;
    font-weight: 600;
    font-size: 18px;
  }
  &-date{
    color:#03a9f4;
    color:#dc3545;
    font-weight:600;
    .icon-date{
      margin-right: 5px;
      position: relative;
      top: 3px;
      svg{
        path{
          fill:#03a9f4;
          fill:#dc3545;
        }
      }
    }
  }
}

.text-dark{
  color:#202020!important;
}

.svg-icon{
  display: inline-block;
  width: 24px;
  color: #fff;
  position: relative;
  top: 6px;
  margin-right: 6px;

  svg{
    path{
      fill: #2196f3;
    }
  }
}

.icon-24{
  max-width:24px!important;
}

.ui-widget.ui-widget-content{
  z-index: 99!important;
}
.date-picker-js{
  &[readonly]{
    background-color: #fff;
  }
}

.section-title{
  &-big{
    font-size:22px;
    font-weight: 700;
  }
  &-small{
    font-size: 18px;
    font-weight: 600;
  }
  @media(min-width:992px){
    &-big{
      font-size:26px;
    }
    &-small{
      font-size: 22px;
    }
  }
}
.text-underline{
  text-decoration: underline;
}

.alert{
  &.focused{
    border:3px solid;
  }
}

.z-index-99{
  z-index: 99;
}
.p-relative{
  position: relative;
}

.expand-coupon{
  cursor: pointer;
  border-bottom: 1px dotted;
  //font-size: 16px;
  &:hover{
    border-bottom: 1px solid;
  }
}

.price{
  &-note{
    &.v2{
      padding: 10px;
      border: 2px dashed;
      background: #d5d5d5;
      font-weight: 600;
      font-size: 20px;
      img{
        max-height:20px;
        max-width:20px;
      }
      p{
        margin:0;
      }
    }

    &-wrapper{
      display: none;
      &.active{
        display: block;
      }
    }
  }
}

.secure-alert{
  img{
    max-height:24px;
  }
}